# Get a channel

Retrieves a single channel by its unique identifier.

Endpoint: GET /v1/channels/{channelUuid}
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `channelUuid` (string, required)
    The unique identifier of the channel.

## Response 200 fields (application/json):

  - `uuid` (string, required)
    Unique identifier for this channel.

  - `createdAt` (string, required)
    Timestamp when this channel was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt` (string, required)
    Timestamp when this channel was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `removedAt` (string,null)
    Timestamp when this channel was removed. Null if not removed.
    Example: "2025-11-23T14:15:22.123456Z"

  - `status` (string, required)
    Lifecycle status of a channel.
    Enum: "draft", "active", "inactive", "removed"

  - `code` (string, required)
    Unique code identifier for this channel.

  - `displayName` (string, required)
    The display name of the channel.

  - `description` (string,null)
    A description of the channel.

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 404 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


